diff --git a/l2ork_addons/tar_em_up.sh b/l2ork_addons/tar_em_up.sh
index 47c2dd5ed7e762ef07a2e1e3cf76bb34ce653ef8..87033e4829920382fa6ef78c6ae200036360026c 100755
--- a/l2ork_addons/tar_em_up.sh
+++ b/l2ork_addons/tar_em_up.sh
@@ -142,13 +142,7 @@ if [ ! -d "../pd/nw/nw" ]; then
 	nwjs_url=${nwjs_url}/$nwjs_filename
 	echo "Fetching the nwjs binary from"
 	echo "$nwjs_url"
-	wget -nv $nwjs_url
-        if wget -nv $nwjs_url; then
-		echo "Could not download the nwjs binary"
-		exit 1
-	else
-		echo "Downloaded nwjs binary"
-	fi
+        wget -nv $nwjs_url || exit 1
 	if [[ $os == "win" || $os == "osx" ]]; then
 		unzip $nwjs_filename
 	else